Subject: Re: [PATCH net-next v3 07/18] net: phy: marvell10g: support all rate matching modes

From: Marek Behún <[email-masked]>
Date: Wed, 7 Apr 2021 01:53:49 +0200

On Wed, 7 Apr 2021 01:33:33 +0200
Andrew Lunn <[email-masked]> wrote:

> On Wed, Apr 07, 2021 at 12:10:56AM +0200, Marek Behún wrote:
> > Add support for all rate matching modes for 88X3310 (currently only
> > 10gbase-r is supported, but xaui and rxaui can also be used).
> > 
> > Add support for rate matching for 88E2110 (on 88E2110 the MACTYPE
> > register is at a different place).  
> 
> What is not clear to me is how rate matching mode gets enabled. What
> sets the mactype to one of these modes?
> 
> It probably just needs an explanation here in the commit message.
> 
>    Andrew

Currently MACTYPE is set via strapping pins. I will add this to the
commit message for v4.

Both Russell King and myself are working on patches to support
selecting correct/better MACTYPE from information about which interface
modes are supported by the MAC and by the board. But first I want to
get this merged.

Marek